Enigmail pEp/ENGM-dep-matrix

This matrix lists dependencies not found in a default installation, currently for linux distris only

empty fields are TBC, a: available, d: provided by default installation, x: wrong version, I(x) incompatible to build on platform x

Package Debian Ubuntu 16.04 Ubuntu 17.04 Fedora Suse
boost a: 1.62 a: 1.58
libstdc++ I(debian)

boost:

the libraries: libboost_{system,filesystem,program_options,thread}. We should only use system libs if the whole quadrupel ist installed

using system packages when available means that we need to build for every cell once + one that runs without any of the dependencies